petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdjointMonitor

Runs all user-provided adjoint monitor routines set using TSAdjointMonitorSet()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointMonitor(TS ts,PetscInt step,PetscReal ptime,Vec u,PetscInt numcost,Vec *lambda, Vec *mu)

Collective on TS Many br

### Input Parameters

| ts | - time stepping context obtained from TSCreate() Many br
| step | - step number that has just completed Many br
| ptime | - model time of the state Many br
| u | - state at the current model time Many br
| numcost | - number of cost functions (dimension of lambda or mu) Many br
| lambda | - vectors containing the gradients of the cost functions with respect to the ODE/DAE solution variables Many br
| mu | - vectors containing the gradients of the cost functions with respect to the problem parameters Many br

### Notes

TSAdjointMonitor() is typically used automatically within the time stepping implementations. Many brUsers would almost never call this routine directly. Many br

Many br

### Keywords

TS, timestep

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages